SUSE: 2022:2841-1 important: python-PyYAML | LinuxSecurity.com

   SUSE Security Update: Security update for python-PyYAML
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:2841-1
Rating:             important
References:         #1165439 #1174514 
Cross-References:   CVE-2020-14343 CVE-2020-1747
CVSS scores:
                    CVE-2020-14343 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2020-14343 (SUSE): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2020-1747 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
                    CVE-2020-1747 (SUSE): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:
                    SUSE Linux Enterprise High Performance Computing 15
                    SUSE Linux Enterprise High Performance Computing 15-ESPOS
                    SUSE Linux Enterprise High Performance Computing 15-LTSS
                    SUSE Linux Enterprise Module for Public Cloud 15
                    SUSE Linux Enterprise Server 15
                    SUSE Linux Enterprise Server 15-LTSS
                    SUSE Linux Enterprise Server for SAP 15
                    SUSE Linux Enterprise Server for SAP Applications 15
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for python-PyYAML fixes the following issues:

   - CVE-2020-1747: Fixed an arbitrary code execution issue when parsing an
     untrusted YAML file with the default loader (bsc#1165439).
   - CVE-2020-14343: Completed the fix for CVE-2020-1747 (bsc#1174514).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server for SAP 15:

      zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-2841=1

   - SUSE Linux Enterprise Server 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-SLES-15-2022-2841=1

   - SUSE Linux Enterprise Module for Public Cloud 15:

      zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-2022-2841=1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2841=1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS:

      zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2841=1



Package List:

   - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64):

      python-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python-PyYAML-debugsource-5.1.2-150000.3.6.1
      python2-PyYAML-5.1.2-150000.3.6.1
      python2-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python3-PyYAML-5.1.2-150000.3.6.1
      python3-PyYAML-debuginfo-5.1.2-150000.3.6.1

   - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x):

      python-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python-PyYAML-debugsource-5.1.2-150000.3.6.1
      python2-PyYAML-5.1.2-150000.3.6.1
      python2-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python3-PyYAML-5.1.2-150000.3.6.1
      python3-PyYAML-debuginfo-5.1.2-150000.3.6.1

   - SUSE Linux Enterprise Module for Public Cloud 15 (aarch64 ppc64le s390x x86_64):

      python3-PyYAML-5.1.2-150000.3.6.1

   - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64):

      python-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python-PyYAML-debugsource-5.1.2-150000.3.6.1
      python2-PyYAML-5.1.2-150000.3.6.1
      python2-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python3-PyYAML-5.1.2-150000.3.6.1
      python3-PyYAML-debuginfo-5.1.2-150000.3.6.1

   - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64):

      python-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python-PyYAML-debugsource-5.1.2-150000.3.6.1
      python2-PyYAML-5.1.2-150000.3.6.1
      python2-PyYAML-debuginfo-5.1.2-150000.3.6.1
      python3-PyYAML-5.1.2-150000.3.6.1
      python3-PyYAML-debuginfo-5.1.2-150000.3.6.1


References:

   https://www.suse.com/security/cve/CVE-2020-14343.html
   https://www.suse.com/security/cve/CVE-2020-1747.html
   https://bugzilla.suse.com/1165439
   https://bugzilla.suse.com/1174514

SUSE: 2022:2841-1 important: python-PyYAML

August 18, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for python-PyYAML fixes the following issues: - CVE-2020-1747: Fixed an arbitrary code execution issue when parsing an untrusted YAML file with the default loader (bsc#1165439). - CVE-2020-14343: Completed the fix for CVE-2020-1747 (bsc#1174514). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Server for SAP 15: zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-2022-2841=1 - SUSE Linux Enterprise Server 15-LTSS: zypper in -t patch SUSE-SLE-Product-SLES-15-2022-2841=1 - SUSE Linux Enterprise Module for Public Cloud 15: zypper in -t patch SUSE-SLE-Module-Public-Cloud-15-2022-2841=1 - SUSE Linux Enterprise High Performance Computing 15-LTSS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2841=1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS: zypper in -t patch SUSE-SLE-Product-HPC-15-2022-2841=1 Package List: - SUSE Linux Enterprise Server for SAP 15 (ppc64le x86_64): python-PyYAML-debuginfo-5.1.2-150000.3.6.1 python-PyYAML-debugsource-5.1.2-150000.3.6.1 python2-PyYAML-5.1.2-150000.3.6.1 python2-PyYAML-debuginfo-5.1.2-150000.3.6.1 python3-PyYAML-5.1.2-150000.3.6.1 python3-PyYAML-debuginfo-5.1.2-150000.3.6.1 - SUSE Linux Enterprise Server 15-LTSS (aarch64 s390x): python-PyYAML-debuginfo-5.1.2-150000.3.6.1 python-PyYAML-debugsource-5.1.2-150000.3.6.1 python2-PyYAML-5.1.2-150000.3.6.1 python2-PyYAML-debuginfo-5.1.2-150000.3.6.1 python3-PyYAML-5.1.2-150000.3.6.1 python3-PyYAML-debuginfo-5.1.2-150000.3.6.1 - SUSE Linux Enterprise Module for Public Cloud 15 (aarch64 ppc64le s390x x86_64): python3-PyYAML-5.1.2-150000.3.6.1 - SUSE Linux Enterprise High Performance Computing 15-LTSS (aarch64 x86_64): python-PyYAML-debuginfo-5.1.2-150000.3.6.1 python-PyYAML-debugsource-5.1.2-150000.3.6.1 python2-PyYAML-5.1.2-150000.3.6.1 python2-PyYAML-debuginfo-5.1.2-150000.3.6.1 python3-PyYAML-5.1.2-150000.3.6.1 python3-PyYAML-debuginfo-5.1.2-150000.3.6.1 - SUSE Linux Enterprise High Performance Computing 15-ESPOS (aarch64 x86_64): python-PyYAML-debuginfo-5.1.2-150000.3.6.1 python-PyYAML-debugsource-5.1.2-150000.3.6.1 python2-PyYAML-5.1.2-150000.3.6.1 python2-PyYAML-debuginfo-5.1.2-150000.3.6.1 python3-PyYAML-5.1.2-150000.3.6.1 python3-PyYAML-debuginfo-5.1.2-150000.3.6.1

References

#1165439 #1174514

Cross- CVE-2020-14343 CVE-2020-1747

CVSS scores:

CVE-2020-14343 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

CVE-2020-14343 (SUSE): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2020-1747 (NVD) : 9.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

CVE-2020-1747 (SUSE): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:

SUSE Linux Enterprise High Performance Computing 15

SUSE Linux Enterprise High Performance Computing 15-ESPOS

SUSE Linux Enterprise High Performance Computing 15-LTSS

SUSE Linux Enterprise Module for Public Cloud 15

SUSE Linux Enterprise Server 15

SUSE Linux Enterprise Server 15-LTSS

SUSE Linux Enterprise Server for SAP 15

SUSE Linux Enterprise Server for SAP Applications 15

https://www.suse.com/security/cve/CVE-2020-14343.html

https://www.suse.com/security/cve/CVE-2020-1747.html

https://bugzilla.suse.com/1165439

https://bugzilla.suse.com/1174514

Severity
Announcement ID: SUSE-SU-2022:2841-1
Rating: important

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.